When I try to configure scanning thru network in yast2/hardware/scanner, I get this error :
There is no /etc/init.d/xinetd file. I suppose because xinetd is started via systemd/systemctl
When I look in the file /usr/lib/YaST2/bin/setup_network_scanner_config around line 74 I can read :
XINETD_CONFIG_FILE is "/etc/xinetd.d/sane-port" which exists
XINETD_INIT_SCRIPT is "/etc/init.d/xinetd" which does not exists
I suppose that all the stuff like
should be replaced by
?
Any help is welcome.
Code:
/usr/lib/YaST2/bin/setup_network_scanner_config: line 74: /etc/init.d/xinetd: No such file or directory
Failed to start xinetd
When I look in the file /usr/lib/YaST2/bin/setup_network_scanner_config around line 74 I can read :
Code:
# Enable the saned if "$SANED_CONFIG" is not the empty string otherwise disable the saned
# and do the appropriate stuff regarding the xinetd:
if [ -n "$SANED_CONFIG" ]
then sed -i -e 's/^.*disable.*$/\tdisable = no/' $XINETD_CONFIG_FILE || { echo "Failed to enable saned in $XINETD_CONFIG_FILE" 1>&2 ; exit 6 ; }
if $XINETD_INIT_SCRIPT status &>/dev/null
then $XINETD_INIT_SCRIPT reload || { echo "Failed to reload xinetd" 1>&2 ; exit 7 ; }
else $XINETD_INIT_SCRIPT start || { echo "Failed to start xinetd" 1>&2 ; exit 8 ; }
insserv xinetd || { echo "Failed to insserv xinetd" 1>&2 ; exit 9 ; }
fi
else sed -i -e 's/^.*disable.*$/\tdisable = yes/' $XINETD_CONFIG_FILE || { echo "Failed to disable saned in $XINETD_CONFIG_FILE" 1>&2 ; exit 10 ; }
if $XINETD_INIT_SCRIPT status &>/dev/null
then $XINETD_INIT_SCRIPT reload || { echo "Failed to reload xinetd" 1>&2 ; exit 7 ; }
fi
fi
XINETD_INIT_SCRIPT is "/etc/init.d/xinetd" which does not exists
I suppose that all the stuff like
Code:
$XINETD_INIT_SCRIPT status
Code:
systemctl status xinet.service
Any help is welcome.